/*
 *  COPYRIGHT (c) 2012 by Lattice Semiconductor Corporation
 *
 * All rights reserved. All use of this software and documentation is
 * subject to the License Agreement located in the file LICENSE.
 */

/** @file systypes.h
 * Define useful variable types and defines here, if not already
 * supported on the platform.
 */
 
#ifndef LATTICE_SYSTYPES_H
#define LATTICE_SYSTYPES_H

#define OK     0
#define ERROR -1

#define TRUE  1
#define FALSE 0


typedef char  int8_t;
typedef short int16_t;
typedef int   int32_t;

typedef unsigned char  uint8_t;
typedef unsigned short uint16_t;
typedef unsigned int   uint32_t;

#endif

